### Method

# GimpUi ProcedureDialog get_label

#### Declaration [src]

    GtkWidget*
    gimp_procedure_dialog_get_label (
      GimpProcedureDialog* dialog,
      const gchar* label_id,
      const gchar* text,
      gboolean is_markup,
      gboolean with_mnemonic
    )

#### Description [src]

Creates a new `GtkLabel` with `text`. It can be useful for packing textual information in between property settings.

If `label_id` is an existing string property of the `GimpProcedureConfig` associated to `dialog`, then it will sync to the property value. In this case, `text` should be `NULL`.

If `label_id` is a unique ID which is neither the name of a property of the `GimpProcedureConfig` associated to `dialog`, nor is it the ID of any previously created label or container, it will be initialized to `text`. This ID can later be used together with property names to be packed in other containers or inside `dialog` itself.

#### Parameters

`label_id`

  Type: `const gchar*`

  The label for the `GtkLabel`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`text`

  Type: `const gchar*`

  The text for the label.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`is_markup`

  Type: `gboolean`

  Whether `text` is formatted with Pango markup.

`with_mnemonic`

  Type: `gboolean`

  Whether `text` contains a mnemonic character.

#### Return value

Type: `GtkWidget`

The `GtkWidget` representing `label_id`. The object belongs to `dialog` and must not be freed.

The returned data is owned by the instance.